Data Structures | Defines

# waypoint_base.h File Reference

Base of waypoints. More...

`#include "base_station_base.h"`

Go to the source code of this file.

## Data Structures
struct | Waypoint
| Representation of a waypoint. More...
## Defines
#define | FOR_ALL_WAYPOINTS(var) FOR_ALL_BASE_STATIONS_OF_TYPE(Waypoint, var)
| Iterate over all waypoints.

## Detailed Description

Base of waypoints.

Definition in file waypoint_base.h.

## Define Documentation

#define FOR_ALL_WAYPOINTS | ( |  | var | ) | FOR_ALL_BASE_STATIONS_OF_TYPE(Waypoint, var)

Iterate over all waypoints.

Parameters:

  | var | The variable used for iteration.

Definition at line 74 of file waypoint_base.h.

Referenced by AfterLoadGame(), ChangeOwnershipOfCompanyItems(), FindDeletedWaypointCloseTo(), and IsUniqueWaypointName().